Page MenuHomePhabricator

{{SITENAME}} not parsed: "Publish to {{SITENAME}}" as message box title when $wgDefaultUserOptions['wikieditor-publish'] = 1
Closed, DeclinedPublic

Description

I am referring to latest core and latest E:WikiEditor version from git.

When you have set

  • # Displays the Publish and Cancel buttons on the top right side
  • $wgDefaultUserOptions['wikieditor-publish'] = 1;

and when you click on "publish" (these button are _only_ shown, when the option $wgDefaultUserOptions['wikieditor-publish'] is set to 1 as shown above -

then the TitleMsg of the Javascript-generated box is

"Publish to {{SITENAME}}"

because {{SITENAME}} is not rendered!

The message key in https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikiEditor/4433c7b98a0959fedbf1fce4b798a24b27d85001/WikiEditor.i18n.php#L33 is

'wikieditor-publish-dialog-title' => 'Publish to {{SITENAME}}',

and the modules does not render this correctly, the message text being therefore wrong for all translated languages.

Suggestion:

Fix the module https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikiEditor/4433c7b98a0959fedbf1fce4b798a24b27d85001/modules%2Fjquery.wikiEditor.publish.js


Version: master
Severity: normal

Details

Reference
bz60695

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:01 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz60695.
bzimport added a subscriber: Unknown Object (MLST).
Wikinaut created this task.Jan 31 2014, 9:02 PM
TheDJ added a comment.Apr 10 2014, 9:24 AM

Fixing this, currently conflicts with Bug: 42107 and https://gerrit.wikimedia.org/r/#/c/82092/

Change 255083 had a related patch set uploaded (by 2nd-player):
Substitute {{SITENAME}} in the title of dialogs

https://gerrit.wikimedia.org/r/255083

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2015, 8:34 AM

{{SITENAME}} should parsed on server side.

Change 255083 merged by jenkins-bot:
Substitute {{SITENAME}} in the title of dialogs

https://gerrit.wikimedia.org/r/255083

Fixing this, currently conflicts with Bug: 42107 and https://gerrit.wikimedia.org/r/#/c/82092/

That change actually introduced this bug because it changed it from mw.msg() to mw.message().plain() – where mw.msg() is a shortcut for mw.message().text(). Text is plain + transformations (but not wikitext parsing or html escaping).

Catrope removed a subscriber: Catrope.Jan 15 2016, 10:41 PM
Jdforrester-WMF closed this task as Declined.Jan 2 2018, 9:38 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Declining this task, as we have just now dropped the never-finished "Labs" publish and preview features from WikiEditor (and they will be removed from REL1_31 onwards).